package modeles;

/**
 * @author Nicolas
 *
 */
public class Personnage extends EtreVivant {
	private Arme arme;
	private Armure armure;
	private Bourse bourse;
	public Personnage(String nom, int pVieMax,int pAttaque, Salle salle) {
		super(nom, pVieMax, pAttaque, salle);
	}
	
	public void equiper(Arme arme) {
		
		arme.setProprietaire(this);
		this.arme=arme;
	}
public void equiper(Armure armure) {
		armure.setProprietaire(this);
		this.armure=armure;
	}
	
	public void utiliser(Potion potion) {
		soin();
		System.out.println("Pv au maximum");
		
	}
	public void seDeplacer(Salle salle) {
		this.salle=salle;
	}
	public void allerMarche(Salle marche){
		this.salle=marche;
	}
	public void soin() {
		this.pVie=this.pVieMax;
	}
	public void attaquer(Monstre monstre) {
		if(arme!=null) {
			monstre.pVie=monstre.pVie-(arme.getpArme()+getpAttaque());
		}
		else {
			monstre.pVie=monstre.pVie=getpAttaque();
		}
}
	public void getBourse() {
		System.out.println(this.getBourse(););
		
	}

	/**
	 * @return the arme
	 */
	public Arme getArme() {
		return arme;
	}

	/**
	 * @return the armure
	 */
	public Armure getArmure() {
		return armure;
	}
	
}
